diff mbox series

[1/1] package/brltty: add polkit optional dependency

Message ID 20210105171947.4236-1-fontaine.fabrice@gmail.com
State New
Headers show
Series [1/1] package/brltty: add polkit optional dependency | expand

Commit Message

Fabrice Fontaine Jan. 5, 2021, 5:19 p.m. UTC
polkit is an optional dependency (enabled by default) since version 5.4:
https://github.com/brltty/brltty/commit/e62b3c925d03239a372d425fb87b2cac65d8ef19

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
---
 package/brltty/brltty.mk | 7 +++++++
 1 file changed, 7 insertions(+)
diff mbox series

Patch

diff --git a/package/brltty/brltty.mk b/package/brltty/brltty.mk
index 4f40e65fc6..3924fa0c1a 100644
--- a/package/brltty/brltty.mk
+++ b/package/brltty/brltty.mk
@@ -96,6 +96,13 @@  else
 BRLTTY_CONF_OPTS += --without-rgx-package
 endif
 
+ifeq ($(BR2_PACKAGE_POLKIT),y)
+BRLTTY_DEPENDENCIES += polkit
+BRLTTY_CONF_OPTS += --enable-polkit
+else
+BRLTTY_CONF_OPTS += --disable-polkit
+endif
+
 ifeq ($(BR2_PACKAGE_SYSTEMD),y)
 BRLTTY_DEPENDENCIES += systemd
 BRLTTY_CONF_OPTS += --with-service-package